#ifndef _QMAIN_COMPONENT_H_
#   define _QMAIN_COMPONENT_H_

#include "QComponent.h"

class QWidget;

class QMainComponent : public QComponent
{
   public:
      QMainComponent(int index, QWidget *q);
      ~QMainComponent();

      virtual void setLocation(double x, double y);
      virtual void setSize(double width, double height);

   protected:
      virtual void getLocation(double *xPtr, double *yPtr) const;
      virtual void getSize(double *widthPtr, double *heightPtr) const;

   private:
      int mSetSizeCount;
      int mSetLocationCount;
};

#endif
