#ifndef BISON_QALE_YACC_H
# define BISON_QALE_YACC_H

#ifndef YYSTYPE
typedef union
{
   double                   dvalue;
   char                    *identifier;
   char                    *qualified_identifier;
   AttributeNode::Attribute theAttribute;
   Alignment::Type          theType;
   Node                    *n;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	REAL	257
# define	IDENTIFIER	258
# define	QUALIFIED_IDENTIFIER	259
# define	LEFT	260
# define	RIGHT	261
# define	TOP	262
# define	BOTTOM	263
# define	XCENTER	264
# define	YCENTER	265
# define	WIDTH	266
# define	HEIGHT	267
# define	DEFAULT_WIDTH	268
# define	DEFAULT_HEIGHT	269
# define	LT	270
# define	LC	271
# define	LB	272
# define	CT	273
# define	CC	274
# define	CB	275
# define	RT	276
# define	RC	277
# define	RB	278
# define	DEFINE	279
# define	MIN	280
# define	MAX	281
# define	UMINUS	282


#endif /* not BISON_QALE_YACC_H */
