#ifndef _DEFINE_VISITOR_H_
#   define _DEFINE_VISITOR_H_

#include "Visitor.h"

class MessageReceiver;
class AttributeNode;
class BinaryNode;
class ConstantNode;
class DefineNode;
class PropertyNode;
class UnaryNode;

class DefineVisitor : public Visitor
{
   public:
      DefineVisitor(MessageReceiver &receiver);
      ~DefineVisitor();

      void visited(AttributeNode *);
      void visited(BinaryNode *);
      void visited(ConstantNode *);
      void visited(DefineNode *);
      void visited(PropertyNode *);
      void visited(MinMaxNode *);
      void visited(UnaryNode *);

   private:
      MessageReceiver &mReceiver;
};

#endif
